datablock TSShapeConstructor(WonderUFODts)
{
	baseShape  = "./UFO.dts";
	sequence0  = "./UFO_walk.dsq root";
};    

datablock PlayerData(PlayerWonderUFO : PlayerStandardArmor)
{

   shapeFile = "./UFO.dts";
   runForce = "999999";
   airControl = "1";
   drag = "5";
   density = "10";
   upResistSpeed = "-20.65";
   upResistFactor = "-1";
   uiName = "Wonderland UFO";
   maxDamage = 200;
   boundingBox = "5 5 6";
   crouchboundingBox = "5 5 6";
 };

datablock PlayerData(PlayerWonderUFONoJet : PlayerWonderUFO)
{
   canJet = 0;
   uiName = "Wonderland UFO No Jet";
 };

AddDamageType("WonderUFO", '%1 was slain by a UFO!', '%1 was slain by UFO %2!', 1, 1);

package WonderUFOAttack
{
   function armor::onTrigger(%this, %obj, %triggerNum, %val)
   {
      %mount = %obj.getObjectMount();

      //hack so we can shoot if we are a UFO 
      if(%obj.getDataBlock().getID() == PlayerWonderUFO.getID())
         %mount = %obj;

      if(isObject(%mount))
      {
         if(%mount.getDataBlock() == PlayerWonderUFO.getId() && %triggerNum == 0 && %val)
         {
            %client = %obj.client;
            if(isObject(%client))
               ServerCmdUnUseTool(%client);

            if(getSimTime() - %obj.lastShotTime < 300)
               return;
            
            %scaleFactor = getWord(%mount.getScale(), 2);
            %p = new Projectile()
            {
               dataBlock = rocketLauncherProjectile;
               initialPosition = %mount.getSlotTransform(1);
               initialVelocity = vectorScale(%mount.getMuzzleVector(1),70 * %scaleFactor);
               sourceObject = %obj;
               client = %obj.client;
               sourceSlot = 0;
               originPoint = %mount.getSlotTransform(1);
            };
            MissionCleanup.add(%p);
            %p.setScale(%scaleFactor SPC %scaleFactor SPC %scaleFactor);
            %obj.lastShotTime = getSimTime();
            return;
         }
      }
      
      Parent::onTrigger(%this,%obj,%triggerNum,%val);
   }
};
activatePackage("WonderUFOAttack");

package WonderUFONoJetAttack
{
   function armor::onTrigger(%this, %obj, %triggerNum, %val)
   {
      %mount = %obj.getObjectMount();

      //hack so we can shoot if we are a UFO 
      if(%obj.getDataBlock().getID() == PlayerWonderUFONoJet.getID())
         %mount = %obj;

      if(isObject(%mount))
      {
         if(%mount.getDataBlock() == PlayerWonderUFONoJet.getId() && %triggerNum == 0 && %val)
         {
            %client = %obj.client;
            if(isObject(%client))
               ServerCmdUnUseTool(%client);

            if(getSimTime() - %obj.lastShotTime < 300)
               return;
            
            %scaleFactor = getWord(%mount.getScale(), 2);
            %p = new Projectile()
            {
               dataBlock = rocketLauncherProjectile;
               initialPosition = %mount.getSlotTransform(1);
               initialVelocity = vectorScale(%mount.getMuzzleVector(1),70 * %scaleFactor);
               sourceObject = %obj;
               client = %obj.client;
               sourceSlot = 0;
               originPoint = %mount.getSlotTransform(1);
            };
            MissionCleanup.add(%p);
            %p.setScale(%scaleFactor SPC %scaleFactor SPC %scaleFactor);
            %obj.lastShotTime = getSimTime();
            return;
         }
      }
      
      Parent::onTrigger(%this,%obj,%triggerNum,%val);
   }
};
activatePackage("WonderUFONoJetAttack");